function [thrustPoints,torquePoints,airspeedPoints,currentPoints]=pointSlicer(time,thrust,torque,airspeed,current)

%this function time averages the raw data from the labview file
% a new averaged point is made for each significant break in time
% this data will still need to be calibrated and non dimensionalized

endTime=numel(time);
lastTime=time(1);
j=1;
k=0;
thrustPoints=[];
thrustAverage=0;

torquePoints=[];
torqueAverage=0;

airspeedPoints=[];
airspeedAverage=0;

currentPoints=[];
currentAverage=0;

for i=2:endTime
    
thisTime=time(i);

if thisTime-lastTime>4 %4 seconds of break will initalize a new point
    
   j=j+1; 
  
   thrustPoints=[thrustPoints, thrustAverage/k];
   torquePoints=[torquePoints, torqueAverage/k];
   airspeedPoints=[airspeedPoints, airspeedAverage/k];
   currentPoints=[currentPoints, currentAverage/k];
   
   thrustAverage=0;
   torqueAverage=0;
   airspeedAverage=0;
   currentAverage=0;
   k=0;
end

lastTime=thisTime;
k=k+1;

thrustAverage=thrustAverage+thrust(i);
torqueAverage=torqueAverage+torque(i);
airspeedAverage=airspeedAverage+airspeed(i);
currentAverage=currentAverage+current(i);
end

thrustPoints=thrustPoints';
torquePoints=torquePoints';
airspeedPoints=airspeedPoints';
currentPoints=currentPoints';
